#ifndef INFILTRATION_H
#define INFILTRATION_H


class Infiltration
{

public:
    float setFf(float time, float Pe, float ponding, int k, float O0L_, int i);
    float getf();
    float getF();
    float getftest();
    float getdeltaF(int k);

private:
    float F = 0;
    float f;                //Actual infiltration rate at all times
    float ftest;            //Potential infiltration rate at all times
    float deltatime = 0;    //The time when last wetting front started
    float deltaF[4] = {0};  //A vector that stores infiltrated water for wetting front 0-k
    float ktest = 0;        //Test variable to check if a new wetting front is created
    float Ftest1;           //
    float Ftest2;
    float Fpot;
    float O0L;
};

#endif // INFILTRATION_H
