#include "Ponding.h"
#include <iostream>
#include <cstring>
#include <string>
#include <cstdlib>
#include "Parameters.h"


using namespace std;

Parameters paramet;

float Ponding::setPonding(float f, float Pe, float timestep, int i){
        char En[10];
        En[10] = paramet.getPond(En); //returns ponding condition from parameters
        if(strcmp(En, "Yes") == 0 || strcmp(En, "yes") == 0 || strcmp(En, "YES") == 0){
            if (f < Pe && i != 0){
                ponding = ponding + (Pe-f)*timestep; //If Pe is high, add pe to ponding
            }else if( f > Pe && ponding > 0 ){
                ponding = ponding + (Pe-f)*timestep; //If Pe is low, substract f from ponding
                if(ponding < 0){
                    ponding = 0;                     //If Ponding gets less than 0, ponding = 0 is high, add pe to ponding
                }
            }else{
                ponding = 0;
            }
        }else if(strcmp(En, "No") == 0 || strcmp(En, "no") == 0 || strcmp(En, "NO") == 0){
            ponding = 0;
            Runoff = Pe-f;
        }else{
            cout << "ERROR: Wrong spelling of Yes or No in class ponding" << endl; //Error message returned
            exit(EXIT_FAILURE); //Exit program
        }
}
float Ponding::getPonding(){
    return ponding;
}
float Ponding::getRunoff(){
    return Runoff;
}
