#include <fstream>
#include <iostream>
#include <cstdlib>
#include "Parameters.h"
#include "getPrecipitation.h"

using namespace std;

Parameters parame;

float getPrecipitation::setLength(){
    char filename[50];                         //Creates a variable "filename" of type char
    filename[50] = parame.getfilename(filename);  //Get filename from "Parameters" and Stores the file name in "filename"
    ifstream fp;                               //Makes an input file stream class called fp
    fp.open(filename);                         //Opens the filename given to the variable filename
    if(!fp.is_open()){                         //If the file was not properly opened this if sentence is true
        cout << "ERROR: The typed file does not exist in the right folder" << endl;    //Error message returned if the file was not opened
        exit(EXIT_FAILURE);                    //Exits the program if the file was not properly opended
    }
    int x = 0;                                 //Initialize the a counting variable "x" to zero
    float Prec;                                //Initialize a variable "Prec" to take recive data from fp
    float Ks = parame.getKs();
    while (fp.good())                          //Runs as long as there is data in
    {
        fp >> Prec;
        if(Prec > 0 && Prec < 0.00000001){     //if "Prec" has to many decimals
            cout << "ERROR: Precipitation data at time " << (x+1)*0.008333 << "h has more than 8 decimals" << endl; //Error message returned
            exit(EXIT_FAILURE);                //Exit the program
		}if(Prec < 0){                         //if "Prec" has a negative value
            cout << "ERROR: Precipitation data at time " << (x+1)*0.008333 << "h is < 0" << endl; //Error message returned
            exit(EXIT_FAILURE);                //Exit the program
		}
        x++;                                   //counts the number of data
    }
    length = x;                                //store the length of the file in the variable "Length"
    fp.close();                                //closes the file
}

int getPrecipitation::getLength(){             //returns the length to main
    return length;
}




